API DocumentationSpecifications

Create a specification

POST
/api/manufacturer/v1/part-specification
        Creates a specification from a part revision and a set of manufacturing parameters. If a specification with         the same manufacturing parameters already exists for the part revision,         it is returned instead of creating a duplicate.

Authorization

Phasio API Bearer Token
headerAuthorizationBearer <token>

Request Body

application/json
  1. body

Manufacturing parameters of the specification

partRevisionId*string

ID of the part revision the specification is for

Formatuuid
processPricesId*string

ID of the process prices (technology) to manufacture the part with

Formatuuid
materialId*integer

ID of the material to manufacture the part with

Formatint64
units*string

Measurement units of the part revision geometry

Value in"CENTIMETERS""MILLIMETERS""METRES""INCHES""FEET"
colorId?integer

Optional ID of the color

Formatint64
infillId?integer

Optional ID of the infill

Formatint64
precisionId?integer

Optional ID of the precision prices

Formatint64
postProcessingIds*array<>

Optional IDs of the post-processings to apply

Response Body

Specification created or existing specification returned

application/json
  1. response
id*string
Formatuuid
partRevisionId*string
Formatuuid
partRevisionName*string
units*string
Value in"CENTIMETERS""MILLIMETERS""METRES""INCHES""FEET"
processPricesId?string
Formatuuid
materialId*integer
Formatint64
colorId?integer
Formatint64
precisionId?integer
Formatint64
infillId?integer
Formatint64
postProcessingIds*array<>
customerReferences*array<>
createdAt*string
Formatdate-time
lastUpdated*string
Formatdate-time
constraints?array<|>
weight*number
metadata*array<>
attachments*array<>
productionFile?
instructions*array<>
curl -X POST 'https://m-api.eu.phas.io/api/manufacturer/v1/part-specification' \  -H 'Content-Type: application/json' \  -d '{  "partRevisionId": "d6aa80a1-8f9a-4090-941a-f51f551521b8",  "processPricesId": "efb221a2-6f82-4cf4-8be0-20aae2aa874c",  "materialId": 0,  "units": "CENTIMETERS",  "postProcessingIds": [    0  ]}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "partRevisionId": "d6aa80a1-8f9a-4090-941a-f51f551521b8",  "partRevisionName": "string",  "units": "CENTIMETERS",  "processPricesId": "efb221a2-6f82-4cf4-8be0-20aae2aa874c",  "materialId": 0,  "colorId": 0,  "precisionId": 0,  "infillId": 0,  "postProcessingIds": [    0  ],  "customerReferences": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "customerOrganisationId": 0,      "customerOrganisationName": "string",      "reference": "string",      "pricingTiers": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "quantity": 0,          "price": 0        }      ],      "showInCatalog": true    }  ],  "createdAt": "2019-08-24T14:15:22Z",  "lastUpdated": "2019-08-24T14:15:22Z",  "constraints": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "constraintType": "string",      "partSpecificationId": "00ed504c-6ecc-48e1-8d82-d5b33aa8626d",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ],  "weight": 0,  "metadata": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "metadataKey": "string",      "value": "string",      "createdBy": {        "email": "string",        "firstName": "string",        "lastName": "string"      },      "updatedBy": {        "email": "string",        "firstName": "string",        "lastName": "string"      },      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ],  "attachments": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "contentType": "string",      "size": 0,      "uploadedBy": {        "email": "string",        "firstName": "string",        "lastName": "string"      },      "createdAt": "2019-08-24T14:15:22Z",      "kind": "GENERAL",      "cadFileFormat": "STL"    }  ],  "productionFile": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "contentType": "string",    "size": 0,    "uploadedBy": {      "email": "string",      "firstName": "string",      "lastName": "string"    },    "createdAt": "2019-08-24T14:15:22Z",    "kind": "GENERAL",    "cadFileFormat": "STL"  },  "instructions": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "text": "string",      "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",      "operationName": "string",      "sortOrder": 0,      "updatedBy": {        "email": "string",        "firstName": "string",        "lastName": "string"      },      "updatedAt": "2019-08-24T14:15:22Z"    }  ]}